package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsPatient;
import com.fs.store.param.FsPatientParam;

/**
 * 病人Service接口
 * 
 * @author fs
 * @date 2022-03-23
 */
public interface IFsPatientService 
{
    /**
     * 查询病人
     * 
     * @param patientId 病人ID
     * @return 病人
     */
    public FsPatient selectFsPatientById(Long patientId);

    /**
     * 查询病人列表
     * 
     * @param fsPatient 病人
     * @return 病人集合
     */
    public List<FsPatient> selectFsPatientList(FsPatient fsPatient);

    /**
     * 新增病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    public int insertFsPatient(FsPatient fsPatient);

    /**
     * 修改病人
     * 
     * @param fsPatient 病人
     * @return 结果
     */
    public int updateFsPatient(FsPatient fsPatient);

    /**
     * 批量删除病人
     * 
     * @param patientIds 需要删除的病人ID
     * @return 结果
     */
    public int deleteFsPatientByIds(Long[] patientIds);

    /**
     * 删除病人信息
     * 
     * @param patientId 病人ID
     * @return 结果
     */
    public int deleteFsPatientById(Long patientId);


    List<FsPatient> selectFsPatientListByDoctor(FsPatientParam param);
}
